Subject: Re: linux-next: build warning after merge of the tip tree

From: Kees Cook <[email-masked]>
Date: Fri, 2 Oct 2020 15:46:01 -0700

On Thu, Oct 01, 2020 at 09:02:57PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Tue, 15 Sep 2020 08:35:53 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi Kees,
> > 
> > On Mon, 14 Sep 2020 13:11:37 -0700 Kees Cook <[email-masked]> wrote:
> > >
> > > On Mon, Sep 14, 2020 at 01:22:49PM +1000, Stephen Rothwell wrote:  
> > > > After merging the tip tree, today's linux-next build (x86_64 allmodconfig)
> > > > produced this warning:
> > > > 
> > > > x86_64-linux-gnu-ld: warning: orphan section `.ctors.65435' from `kernel/trace/trace_selftest_dynamic.o' being placed in section `.ctors.65435'
> > > > [...]    
> > > 
> > > Hmm, I wasn't seeing that...
> > > 
> > > Which gcc and bintuils versions are you using?  
> > 
> > gcc (Debian 10.2.0-5) 10.2.0
> > GNU ld (GNU Binutils for Debian) 2.35
> 
> Any progress on this?

Hi!

I needed to get by build environment set up with the newer toolchain,
and I've finally gotten that done today. I'll be investigating it
shortly; thanks for waiting on me!

-Kees

-- 
Kees Cook